Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-4196

Align versions of JBoss Logging distributed in Fuse to 3.3.0.Final

    XMLWordPrintable

    Details

      Description

      Since ENTESB-4045 a newer version of JBoss Logging is required by Weld 2.3. It's been upgraded to version 3.3.0.Final as JBLOGGING-113 is required to fix an OSGi headers regression introduced in JBoss Logging 3.2.

      This new version should be used as well instead of the old one in the following remaining features so that only one version of JBoss Logging gets packaged and distributed with Fuse on Karaf:

      • camel-bean-validator,
      • swtichyard-internal-core,
      • hibernate (from karaf enterprise features),
      • hibernate-validator (from karaf enterprise features),
      • pax-cdi-weld-1.1.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  stefanutti Antonin Stefanutti
                  Reporter:
                  stefanutti Antonin Stefanutti
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: